<template>
  <div class="cooperation">
    <div class="fixbox" @click="up">
      <img src="../assets/up.png" alt="" class="up-img" />
    </div>
    <div class="jg"></div>
    <!-- 内容区域 -->
    <xhcontent
      :bodyList="bodyList"
      :titleN="titleN"
      :title="title"
      :titleEN="titleEN"
    >
      <!-- 子路由 -->
      <router-view></router-view>
    </xhcontent>
  </div>
</template>

<script>
import Xhcontent from "../components/xhcontent";
export default {
  name: "question",
  metaInfo: {
    title: "合作前沿",
  },
  components: {
    Xhcontent,
  },
  filters: {
    content(data) {
      return data.replace("<p>", '<p class="list">');
    },
  },
  data() {
    return {
      info: {},
      list: {},
      bodyList: [{ title: "联合战略单位", path: "union" }],
      titleN: "H",
      title: "合作前沿",
      titleEN: "Cooperation",
    };
  },
  created() {

  },
  methods: {
    up() {
      document.body.scrollTop = document.documentElement.scrollTop = 0;
    },
  },
};
</script>

<style lang="scss" scoped>
.jg {
  height: 10px;
}

.fixbox {
  position: fixed;
  right: 20px;
  bottom: 30px;
  .up-img {
    width: 60px;
    height: 60px;
  }
}
</style>